package com.cpms.project.process.mapper;

import java.util.List;
import com.cpms.project.process.domain.TClassdOverview;

/**
 * Class D overview listMapper接口
 * 
 * @author admin
 * @date 2024-04-16
 */
public interface TClassdOverviewMapper 
{
    /**
     * 查询Class D overview list
     * 
     * @param id Class D overview list主键
     * @return Class D overview list
     */
    public TClassdOverview selectTClassdOverviewById(Long id);

    /**
     * 查询Class D overview list列表
     * 
     * @param tClassdOverview Class D overview list
     * @return Class D overview list集合
     */
    public List<TClassdOverview> selectTClassdOverviewList(TClassdOverview tClassdOverview);

    /**
     * 新增Class D overview list
     * 
     * @param tClassdOverview Class D overview list
     * @return 结果
     */
    public int insertTClassdOverview(TClassdOverview tClassdOverview);

    /**
     * 修改Class D overview list
     * 
     * @param tClassdOverview Class D overview list
     * @return 结果
     */
    public int updateTClassdOverview(TClassdOverview tClassdOverview);

    /**
     * 删除Class D overview list
     * 
     * @param id Class D overview list主键
     * @return 结果
     */
    public int deleteTClassdOverviewById(Long id);

    /**
     * 批量删除Class D overview list
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTClassdOverviewByIds(Long[] ids);
}
